%global gtk3_version 3.12.2

Name:           california
Version:        0.4.0
Release:        1%{?dist}
Summary:        Calendar application

License:        LGPLv2+
URL:            https://wiki.gnome.org/Apps/California
Source0:        https://download.gnome.org/sources/california/0.4/california-%{version}.tar.xz

Patch1:         0002-Build-with-evolution-data-server-3.13.90.patch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(goa-1.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:  pkgconfig(libecal-1.2)
BuildRequires:  pkgconfig(libgdata)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  vala
BuildRequires:  xdg-utils

Requires:       gtk3%{?_isa} >= %{gtk3_version}

%description
California is a calendar built for GNOME 3. It allows you to view and
manage your online calendars with a simple and modern interface.

%prep
%setup -q
%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

# Remove wrongly placed documentation; we use the %%doc macro instead.
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc

%find_lang california --with-gnome

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/california.desktop

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f california.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/california
%{_datadir}/appdata/california.appdata.xml
%{_datadir}/applications/california.desktop
%{_datadir}/california/
%{_datadir}/glib-2.0/schemas/org.yorba.california.gschema.xml

%changelog
* Tue Mar 24 2015 Kalev Lember <kalevlember@gmail.com> - 0.4.0-1
- Update to 0.4.0
- Use licence macro for the COPYING file

* Mon Feb 23 2015 Milan Crha <mcrha@redhat.com> - 0.3.1-1
- Update to 0.3.1
- Add patch to build with current evolution-data-server

* Wed Oct 01 2014 Kalev Lember <kalevlember@gmail.com> - 0.2.0-1
- Update to 0.2.0
- Set minimum required gtk3 version

* Tue Sep 23 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.4-2
- Rebuilt for libcamel soname bump

* Wed Aug 20 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.4-1
- Update to 0.1.4

* Sat Aug 16 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.3-1
- Update to 0.1.3

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 01 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.2-2
- Rebuilt for evolution-data-server soname bump

* Sat Jul 19 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.2-1
- Update to 0.1.2
- Ship gsettings schema and add required rpm scriptlets

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 24 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.1-1
- Update to 0.1.1

* Fri May 02 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.0-2
- Add rpm scripts to run update-desktop-database (#1093499)

* Fri May 02 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.0-1
- Initial Fedora packaging
